
//import 'package:intl/intl.dart' show DateFormat;
import 'package:intl/intl.dart';

class EasyMoney {
  static String formatCurrencyReal({double value}) {
    return formatCurrencyGeneric(value: value, symbol: "R\$", locale: "pt_BR");
  }

  static String formatCurrencyGeneric({double value, String symbol, String locale}) {
    var
    realInUSFormat = new NumberFormat.currency(locale: locale,
        symbol: symbol);
    return realInUSFormat.format(value);
  }

  static String formatReal(double value) {
    return formatGeneric(value: value, format: "R\$ ###.00#", locale: "pt_BR");
  }

  static String formatGeneric({double value, String format, String locale}) {
//    var f = new NumberFormat("R\$ ###.00#", );
    var f = new NumberFormat(format, locale);
    return f.format(value);
  }
}